Page MenuHomePhabricator

[LLD] Add baseline test for TLS alignment. NFC.
ClosedPublic

Authored by luqmana on Oct 1 2020, 3:06 AM.

Diff Detail

Event Timeline

luqmana created this revision.Oct 1 2020, 3:06 AM
Herald added a project: Restricted Project. · View Herald TranscriptOct 1 2020, 3:06 AM
luqmana requested review of this revision.Oct 1 2020, 3:06 AM
luqmana updated this revision to Diff 295511.

Use the right flag.

luqmana updated this revision to Diff 296581.Oct 6 2020, 7:50 PM

Add 32bit test as well.

grimar added a comment.Oct 7 2020, 1:15 AM

I am not familar with LLD/COFF, sorry.

grimar removed a reviewer: grimar.Oct 7 2020, 1:15 AM
rnk accepted this revision.Oct 13 2020, 12:43 PM

I would probably construct these tests with an assembly file, but it's fine this way too. Looks good.

This revision is now accepted and ready to land.Oct 13 2020, 12:43 PM
This revision was automatically updated to reflect the committed changes.